---
title: Get Queue Metrics
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Queues](https://developers.cloudflare.com/api/typescript/resources/queues)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Queue Metrics

client.queues.getMetrics(stringqueueID, QueueGetMetricsParams {account\_id } params, RequestOptionsoptions?): [QueueGetMetricsResponse](<https://developers.cloudflare.com/api/typescript/resources/queues#(resource)%20queues%20%3E%20(model)%20queue_get_metrics_response%20%3E%20(schema)>) {backlog\_bytes, backlog\_count, oldest\_message\_timestamp\_ms }

GET/accounts/{account\_id}/queues/{queue\_id}/metrics

Returns best-effort metrics for a Queue. Values may be approximate due to the distributed nature of Queues.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Queues Write``Queues Read``Workers Scripts Write``Workers Scripts Read`

##### ParametersExpand Collapse

queueID: string

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues%20%3E%20(method)%20get_metrics%20%3E%20(params)%20default%20%3E%20(param)%20queue_id%20%3E%20(schema)>)

<details>

<summary>

params: QueueGetMetricsParams {account\_id }

</summary>

account\_id: string

A Resource identifier.

maxLength32

<a href="#(resource)%20queues%20%3E%20(method)%20get_metrics%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues%20%3E%20(method)%20get_metrics%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

QueueGetMetricsResponse {backlog\_bytes, backlog\_count, oldest\_message\_timestamp\_ms }

Best-effort metrics for the queue. Values may be approximate due to the distributed nature of queues.

</summary>

backlog\_bytes: number

The size in bytes of unacknowledged messages in the queue.

<a href="#(resource)%20queues%20%3E%20(model)%20queue_get_metrics_response%20%3E%20(schema)%20%3E%20(property)%20backlog_bytes">Link to this property</a>

backlog\_count: number

The number of unacknowledged messages in the queue.

<a href="#(resource)%20queues%20%3E%20(model)%20queue_get_metrics_response%20%3E%20(schema)%20%3E%20(property)%20backlog_count">Link to this property</a>

oldest\_message\_timestamp\_ms: number

Unix timestamp in milliseconds of the oldest unacknowledged message in the queue. Returns 0 if unknown.

<a href="#(resource)%20queues%20%3E%20(model)%20queue_get_metrics_response%20%3E%20(schema)%20%3E%20(property)%20oldest_message_timestamp_ms">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues%20%3E%20(model)%20queue_get_metrics_response%20%3E%20(schema)>)

### Get Queue Metrics

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.queues.getMetrics('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.backlog_bytes);
```

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "backlog_bytes": 1024,
    "backlog_count": 5,
    "oldest_message_timestamp_ms": 1710950954154
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "backlog_bytes": 1024,
    "backlog_count": 5,
    "oldest_message_timestamp_ms": 1710950954154
  },
  "success": true
}
```